Package com.norconex.commons.lang

# Class Sleeper

java.lang.Object
com.norconex.commons.lang.Sleeper

public final class Sleeper extends Object
Convenience class to put to sleep the currently running thread. If sleeping fails, it throws a runtime exception of type `SleeperException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `ONE_HOUR`
  Number of milliseconds representing 1 hour.
  `static final long`
  `ONE_MINUTE`
  Number of milliseconds representing 1 minute.
  `static final long`
  `ONE_SECOND`
  Number of milliseconds representing 1 second.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `sleepHours(int hours)`
  Sleeps for the number of hours specified.
  `static void`
  `sleepMillis(long milliseconds)`
  Sleeps for the number of milliseconds specified.
  `static void`
  `sleepMinutes(int minutes)`
  Sleeps for the number of minutes specified.
  `static void`
  `sleepNanos(long nanoSeconds)`
  Sleeps for the number of nanoseconds specified.
  `static void`
  `sleepSeconds(int seconds)`
  Sleeps for the number of seconds specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ONE_SECOND

    public static final long ONE_SECOND
    Number of milliseconds representing 1 second.
    See Also:
      - Constant Field Values

  - ### ONE_MINUTE

    public static final long ONE_MINUTE
    Number of milliseconds representing 1 minute.
    See Also:
      - Constant Field Values

  - ### ONE_HOUR

    public static final long ONE_HOUR
    Number of milliseconds representing 1 hour.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### sleepMillis

    public static void sleepMillis(long milliseconds)
    Sleeps for the number of milliseconds specified.
    Parameters:
      `milliseconds` - milliseconds

  - ### sleepNanos

    public static void sleepNanos(long nanoSeconds)
    Sleeps for the number of nanoseconds specified.
    Parameters:
      `nanoSeconds` - nanoseconds

  - ### sleepSeconds

    public static void sleepSeconds(int seconds)
    Sleeps for the number of seconds specified.
    Parameters:
      `seconds` - seconds

  - ### sleepMinutes

    public static void sleepMinutes(int minutes)
    Sleeps for the number of minutes specified.
    Parameters:
      `minutes` - minutes

  - ### sleepHours

    public static void sleepHours(int hours)
    Sleeps for the number of hours specified.
    Parameters:
      `hours` - hours